
- test:
    timeout:
      minutes: 15
    definitions:
    - repository: https://git.automotivelinux.org/src/qa-testdefinitions
      from: git
      history: False
      path: test-suites/short-smoke/busybox.yaml
      name: ci-busybox
    - repository: https://git.automotivelinux.org/src/qa-testdefinitions
      from: git
      history: False
      path: test-suites/short-smoke/smoke-tests-basic.yaml
      name: ci-smoke-tests-basic
    - repository: https://git.automotivelinux.org/src/qa-testdefinitions
      from: git
      history: False
      path: test-suites/short-smoke/service-check.yaml
      name: ci-service-check
      parameters:
        BUILD_TAGS: "{{ BUILD_TAGS|join(' ')|lower }}"
        DEVICE_TAGS: "{{ DEVICE_TAGS|join(' ')|lower }}"

{% if "can" in DEVICE_TAGS|lower %}
{% include 'tests/test_can_loopback.jinja2' %}
{% endif %}

{% if "can_if_hw_connection" in DEVICE_TAGS|lower %}
{% include 'tests/can_if_hw_connection.jinja2' %}
{% endif %}

- test:
    timeout:
      minutes: 60
    definitions:
    - repository: https://git.linaro.org/qa/test-definitions.git
      from: git
      history: False
      path: automated/linux/ptest/ptest.yaml
      name: ci-linaro-ptest
      parameters:
        TESTS: "xmlsec1 libxml2 lua"
